Subject: Re: crash FvwmForm when quitting (fwd)

From: Giuseppe Della Ricca <[email-masked]>
Date: Fri, 18 Jun 2004 12:10:02 +0200 (CEST)

> On Thu, 17 Jun 2004, Marcus Lundblad wrote:
> 
> >
> > On Thu, 17 Jun 2004, Giuseppe Della Ricca wrote:
> >
> > > Hi,
> > >
> > > I'm using fvwm from CVS, on RHEL 3, and since a week or so it crashes when
> > > I use it to quit fvwm, like this:
> > >
> >
> > Does it only crash (and generate a core) when you let it core?
> I meant "when you let it time out"....
> > That's the behaviour I could reproduce.
> >
> > //Marcus

Hi Marcus,

for me, ir crashes 'sometimes' when I hit the 'Logout' button.

I've never seen (up to now) a crash when letting it time out.

Maybe a problem with the module exiting while updating the string with the 
number of seconds left ? (I don't know what I'm talking about)

regards,
Giuseppe.

> > > DestroyModuleConfig FvwmForm-Quit: *
> > > *FvwmForm-Quit: GrabServer
> > > *FvwmForm-Quit: WarpPointer
> > > *FvwmForm-Quit: ActivateOnPress on
> > > *FvwmForm-Quit: Colorset 1
> > > *FvwmForm-Quit: ItemColorset 1
> > > *FvwmForm-Quit: Font        -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
> > > *FvwmForm-Quit: ButtonFont  -adobe-helvetica-bold-r-*-*-11-*-*-*-*-*-*-*
> > > *FvwmForm-Quit: InputFont   -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
> > > *FvwmForm-Quit: TimeoutFont -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
> > > *FvwmForm-Quit: Line       center
> > > *FvwmForm-Quit: Text       "Do you really want to exit FVWM?"
> > > *FvwmForm-Quit: Line       expand
> > > *FvwmForm-Quit: Button     quit "Logout" ^M
> > > *FvwmForm-Quit: Command    Quit
> > > *FvwmForm-Quit: Button     quit "Cancel"
> > > *FvwmForm-Quit: Command    Nop
> > > *FvwmForm-Quit: Timeout    20 Quit "Automatic logout will occur in %% seconds."
> > >
> > > the core gives:
> > >
> > > #0  0x00247930 in _int_malloc () from /lib/tls/libc.so.6
> > > (gdb) where
> > > #0  0x00247930 in _int_malloc () from /lib/tls/libc.so.6
> > > #1  0x00246ced in malloc () from /lib/tls/libc.so.6
> > > #2  0x08060c51 in safemalloc (length=3189400) at safemalloc.c:44
> > > #3  0x0805c82f in CombineChars (str_visual=0x95cfa48 "Cancel", len=6, comb_chars=0xbff3893c, l_to_v=0x0) at CombineChars.c:1916
> > > #4  0x080522b5 in FlocaleEncodeString (dpy=0x95c3738, flf=0x95cd768, str=0x95cb4b8 "Cancel", do_free=0xbff38934,
> > >     len=157088335, nl=0xbff38938, is_rtl=0x19, comb_chars=0xbff3893c, l_to_v=0x0) at Flocale.c:453
> > > #5  0x08052497 in FlocaleEncodeWinString (dpy=0x95c3738, flf=0x95cd768, fws=0x95cd7b8, do_free=0xbff38934, len=0xbff38938,
> > >     comb_chars=0xbff3893c, l_to_v=0x0) at Flocale.c:560
> > > #6  0x080545fa in FlocaleDrawString (dpy=0x95c3738, flf=0x95cd768, fws=0x95cd7b8, flags=1) at Flocale.c:1831
> > > #7  0x0804ef8b in RedrawItem (item=0x95cd870, click=0, pev=0x95cb878) at FvwmForm.c:1921
> > > #8  0x08050b53 in ReadXServer () at ReadXServer.c:440
> > > #9  0x08050359 in MainLoop () at FvwmForm.c:2501
> > > #10 0x0805074a in main (argc=7, argv=0xbff38de4) at FvwmForm.c:2702
> > >
> > > I'll be happy to provide any additional information you will need.
> > >
> > > regards,
> > > Giuseppe.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]